'use strict'

module.exports = class PluginError extends Error {
  constructor (message, pluginName) {
    if (!message) message = 'Plugin Error'
    if (pluginName) message = `Plugin name: ${pluginName}, message: ${message}`
    super(message)
  }
}
