
const Redis = require('ioredis');

module.exports = config => {
  const CONF = config.redis;
  
  let host = '127.0.0.1';
  let port = 6379;

  if (CONF) {
    host = CONF.host;
    port = CONF.port;
    
    try {
      return new Redis({ host, port });
    } catch(err) {
      console.error('redis connect err:', err);
    }
  }

};
